Package org.eclipse.e4.ui.model.application.ui.advanced

# Interface MArea

All Superinterfaces:
  `MApplicationElement`, `MElementContainer<MPartSashContainerElement>`, `MGenericTile<MPartSashContainerElement>`, `MLocalizable`, `MPartSashContainer`, `MPartSashContainerElement`, `MUIElement`, `MUILabel`, `MWindowElement`

public interface MArea extends MPartSashContainer, MUILabel
A representation of the model object 'Area'.

This is a concrete element representing a (possibly sashed) chunk of the UI presentation that will minimize / maximize as one unit. This is used in Eclipse 4 to allow for a split Editor Area.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MGenericTile

`isHorizontal, setHorizontal`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`